Skip to content
WP Engine Documentation

List SSL certificates for an install

GET
/installs/{install_id}/ssl_certificates
curl --request GET \
--url 'https://api.wpengineapi.com/v1/installs/example/ssl_certificates?limit=100&offset=0' \
--header 'Authorization: Basic <credentials>'

Returns a list of SSL certificates for a given install. If no certificates exist, returns 404 with a specific error message.

install_id
required
string format: uuid

ID of install

limit
integer
default: 100 <= 100

(Optional) The number of records to return

offset
integer
0

(Optional) The first record of the result set to be retrieved

List of SSL certificates for the install

Media type application/json
object
certificates
required
Array
object
id

The id of the certificate

integer
account

The account name of the owner of the certificate

string
auto_renew

Whether auto renew is enabled (true) or disabled (false)

boolean
auth_file

The auth file for the certificate

string
approver_email

The approver email for the certificate

string
common_name

The common name for the domain

string
cancel_time

The time when the certificate was cancelled

string
cert_source

The source of the certificate

string
Allowed values: CERT_SOURCE_UNSPECIFIED THIRD_PARTY LETS_ENCRYPT SELF_SIGNED
ordered_time

The time when the certificate was ordered

string
wildcard

A boolean flag that indicates if the certificate is for a wildcard domain

boolean
domains

A list of domains for the certificate

Array<string>
status

The current status of the certificate

string
Allowed values: SSL_STATE_UNSPECIFIED ENABLED DISABLED EXPIRED CANCELED REJECTED SUBMITTED
approved_time

The time the certificate was approved

string
expires_time

The time when the certificate expires

string
serial_number

The Certificate Serial Number as defined in the X.509 standard. Presented as a hexadecimal string.

string
next_page_token

A token to retrieve the next page of results, if available.

string
Example
{
"certificates": [
{
"account": "myaccountname",
"common_name": "customdomain.com",
"cert_source": "CERT_SOURCE_UNSPECIFIED",
"domains": [
"customdomain.com",
"www.customdomain.com"
],
"status": "SSL_STATE_UNSPECIFIED",
"serial_number": "18F662FB207C19E7841E8F41E6771BEE"
}
],
"next_page_token": "1"
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

No SSL certificates found

Media type application/json
object
message
required

Error message indicating no SSL certificates were found

string
Example
{
"message": "No SSL certs found for environment 'testinstall'"
}

Too many requests

Media type application/json

Service unavailable

Media type application/json